Bug 483088 - Returning from "init 1" does not start login
Returning from "init 1" does not start login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 12:17 EST by Jan ONDREJ
Modified: 2014-03-16 23:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:44:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2009-01-29 12:17:30 EST
Description of problem:
After fixing bug#483031, I can reach init 1, but I can't reach login: prompt again.

Version-Release number of selected component (if applicable):
same as https://bugzilla.redhat.com/show_bug.cgi?id=483031

How reproducible:
always

Steps to Reproduce:
1. init 1
2. exit
  
Actual results:
Telling INIT to go to single user mode.
[root@builder /]# exit
exit
ip6tables: Applying firewall rules: [  OK  ]
iptables: Applying firewall rules: [  OK  ]
Bringing up loopback interface:  [  OK  ]
Bringing up interface eth0:  [  OK  ]
Starting restorecond: [  OK  ]
Starting system logger: [  OK  ]
Starting mcstransd: [  OK  ]
Starting system message bus: [  OK  ]
Mounting other filesystems:  [  OK  ]
Starting auditd: [  OK  ]
Enabling nightly apt update: [  OK  ]
Enabling nightly yum update: [  OK  ]
Starting sshd: [  OK  ]
Starting postfix: [  OK  ]
Starting lighttpd: [  OK  ]
[  OK  ] crond: [  OK  ]
[  OK  ] atd: [  OK  ]


Expected results:
Same +
login:


Additional info:
Part of "ps ax" (I don't know if helps)
 2763 tty4     Ss+    0:00 /sbin/mingetty tty4
 2764 tty5     Ss+    0:00 /sbin/mingetty tty5
 2765 tty2     Ss+    0:00 /sbin/mingetty tty2
 2766 tty3     Ss+    0:00 /sbin/mingetty tty3
 2767 tty1     Ss+    0:00 /sbin/mingetty tty1
 2768 tty6     Ss+    0:00 /sbin/mingetty tty6
Comment 1 Bill Nottingham 2009-01-29 13:03:52 EST
What's your specific console device - /dev/hvc? /dev/hvc0?
Comment 2 Jan ONDREJ 2009-01-29 13:30:08 EST
(In reply to comment #1)
> What's your specific console device - /dev/hvc? /dev/hvc0?

title Fedora (2.6.27.12-170.2.5.fc10.x86_64)
        root (hd0,0)
        kernel /boot/vmlinuz-2.6.27.12-170.2.5.fc10.x86_64 ro root=LABEL=/ console=hvc0
        initrd /boot/initrd-2.6.27.12-170.2.5.fc10.x86_64.img

It is answer for you question?

But both:

echo test > /dev/hvc0
echo test > /dev/console

displays text on xen virtual console.
Comment 3 Bill Nottingham 2009-01-29 13:38:33 EST
What happens if you run by hand '/lib/udev/console_check hvc0'?
Comment 4 Bill Nottingham 2009-01-29 13:56:32 EST
From /etc/event.d/serial:

...
# Automatically start a configured serial console
#
# How this works:
#
# On boot, a udev helper examines /dev/console. If a serial console is the
# primary console (last console on the commandline in grub),  the event
# 'fedora.serial-console-available <port name> <speed>' is emitted, which
# triggers this script. It waits for the runlevel to finish, ensures
# the proper port is in /etc/securetty, and starts the getty.
#
# If your serial console is not the primary console, or you want a getty
# on serial even if it's not the console, create your own event by copying
# /etc/event.d/tty[2-6], and changing the getty line in that file.

start on fedora.serial-console-available *
stop on runlevel [016]
...

The problem is that 'stop' line ... as soon as you go into runlevel 1, it kills the job, and it won't get respawned when you exit, as you won't get the udev event.
Comment 5 Bill Nottingham 2009-03-20 16:08:39 EDT
So, it should be getting respawned by the post-stop script in /etc/event.d/serial; however, that's not properly handling it being stopped by entering runlevel 1.

I don't have a serial console machine at the moment to debug this, but that's where to start looking.
Comment 6 Jan ONDREJ 2009-03-23 14:11:07 EDT
If you need a virtual machine to debug this, here is one:

http://www.salstar.sk/serial_test.img

It's size is 332 MB (it's already compressed as an compressed qcow2 image).

This image can be run with qemu or kvm command:
  qemu-kvm -m 1024 -hda serial_test.img -nographic -serial stdio -snapshot

and fails with this message:

init: rc1 post-stop process (1185) terminated with status 1

"init 1" is the default for this image, you need to only boot it.



There is another problem with upstart boot. On my workstation there was some problems in my filesystem. I tryed to run "forcefsck", but after test it failed with non automatically recoverable errors and required root password. My problem was, that I can't type root password. Each key sent an <LF> (without <CR>) and there was no possibility to log in. Only init=/bin/bash helped to fix partition errors. My console was a classic PC console (not serial). Do you think this should be reported as new bug?
Comment 7 Bill Nottingham 2009-03-23 14:13:20 EDT
Yes, that would be a new bug.
Comment 8 iarly selbir 2009-04-04 15:18:00 EDT
Assigning it, was created the other bug?

Thanks.
Comment 9 Jan ONDREJ 2009-04-05 01:12:29 EDT
(In reply to comment #8)
> Assigning it, was created the other bug?

No. I can't reproduce second but on other machine. Only happens on my workstation and i can't do more tests on this machine now.
Comment 10 Bug Zapper 2009-11-18 05:54:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 02:44:11 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.